NEWUSERS(8)

NAME
newusers - erstellt neue oder aktualisiert vorhandene Benutzerkonten in einem Aufruf

ÜBERSICHT

newusers [options] [file]

BESCHREIBUNG

The newusers command reads a file (or the standard input by default) and uses this information to update a set of existing users or to create new users. Each line is in the same format as the standard password file (see passwd(5)) with the exceptions explained below:

pw_Name:pw_Passwort:pw_Benutzerkennung:pw_Gruppenkennung:pw_GECOS:pw_Verzeichnis:pw_Shell

pw_name
    Dies ist der Anmeldename des Benutzers.

    It can be the name of a new user or the name of an existing user (or a user created before by newusers). In case of an existing user, the user's information will be changed, otherwise a new user will be created.

pw_passwd
    Dieses Feld wird verschlüsselt und als neues verschlüsseltes Passwort benutzt.

pw_uid
    Mit diesem Feld wird die Benutzerkennung festgelegt.

    If the field is empty, a new (unused) UID will be defined automatically by newusers.

    Wenn dieses Feld eine Zahl enthält, wird sie als Benutzerkennung übernommen.

    If this field contains the name of an existing user (or the name of a user created before by newusers), the UID of the specified user will be used.

    Falls die Kennung eines bestehenden Benutzers verändert wird, muss bei den Dateien des Benutzers der Eigentümer per Hand angepasst werden.

pw_gid
    Mit diesem Feld wird die Kennung der primären Gruppe des Benutzers festgelegt.

    If this field contains the name of an existing group (or a group created before by newusers), the GID of this group will be used as the primary group ID for the user.

    Wenn dieses Feld eine Zahl enthält, wird sie als Kennung der primären Gruppe des Benutzers verwendet. Falls keine Gruppe mit dieser Kennung existiert, wird eine neue Gruppe mit dieser Kennung und dem Namen des Benutzers erstellt.

    If this field is empty, a new group will be created with the name of the user and a GID will be automatically defined by newusers to be used as the primary group ID for the user and as the GID for the new group.

    If this field contains the name of a group which does not exist (and was not created before by newusers), a new group will be created with the specified name and a GID will be automatically defined by newusers to be used as the primary group ID for the user and GID for the new group.

pw_gecos
    Dieses Feld wird in das GECOS-Feld des Benutzers kopiert.

pw_dir
    In diesem Feld wird das persönliche Verzeichnis des Benutzers definiert.

    If this field does not specify an existing directory, the specified directory is created, with ownership set to the user being created or updated and its primary group. Note that newusers does not create parent directories of the new user's home directory. The newusers command will fail to create the home directory if the parent directories do not exist, and will send a message to stderr informing the user of the failure. The newusers command will not halt or return a failure to the calling shell if it fails to create the home directory, it will continue to process the batch of new users specified.

    If the home directory of an existing user is changed, newusers does not move or copy the content of the old directory to the new location. This should be done manually.

pw_shell
    Mit diesem Feld wird die Shell des Benutzers festgelegt, wobei diese Eingabe nicht überprüft wird.

newusers first tries to create or change all the specified users, and then write these changes to the user or group databases. If an error occurs (except in the final writes to the databases), no changes are committed to the databases.

Dieser Befehl ist für weitreichende Systeme gedacht, bei denenviele Konten gleichzeitig angelegt werden müssen.

OPTIONEN

The options which apply to the newusers command are:

--badname
    erlaube Namen, die nicht den Standards entsprechen.

-c, --crypt-method
    definiert die Methode, mit der die Passwörter verschlüsselt werden.

    Die verfügbaren Methoden sind, sofern Ihre libc diese bereitstellt, DES, MD5, NONE und SHA256 oder SHA512.

-h, --help
    zeigt die Hilfe an und beendet das Programm.

-r, --system
    erstellt ein Systemkonto

    System users will be created with no aging information in /etc/shadow, and their numeric identifiers are chosen in the SYS_UID_MIN-SYS_UID_MAX range, defined in login.defs, instead of UID_MIN-UID_MAX (and their GID counterparts for the creation of groups).

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds
    legt die Anzahl von Runden beim Verschlüsseln von Passwörtern fest.

    You can only use this option with crypt method: SHA256 SHA512

    By default, the number of rounds for SHA256 or SHA512 is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

    A minimal value of 1000 and a maximal value of 999,999,999 will be enforced for SHA256 and SHA512. The default is 5000.

WARNUNGEN

Die Eingabedatei muss geschützt werden, da sie unverschlüsselte Passwörter enthält.

Sie sollten darauf achten, dass Passwörter und Verschlüsselungsmethode in Einklang mit der Passwortrichtlinie des Systems stehen.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    geschützte Informationen zu den Benutzerkonten

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    geschützte Informationen zu den Gruppenkonten

/etc/login.defs
    konfiguriert die Shadow-Hilfsprogramme.

/etc/subgid
    enthält untergeordnete Gruppenkennungen der einzelnen Benutzer.

/etc/subuid
    enthält untergeordnete Benutzerkennungen der einzelnen Benutzer.

SIEHE AUCH

login.defs(5), passwd(1), subgid(5), subuid(5), useradd(8).